package #
Date::Manip::TZ::afel_a00;
# Copyright (c) 2008-2024 Sullivan Beck.  All rights reserved.
# This program is free software; you can redistribute it and/or modify it
# under the same terms as Perl itself.

# This file was automatically generated.  Any changes to this file will
# be lost the next time 'tzdata' is run.
#    Generated on: Wed Dec  4 14:48:46 EST 2024
#    Data version: tzdata2024b
#    Code version: tzcode2024b

# This module contains data from the zoneinfo time zone database.  The original
# data was obtained from the URL:
#    ftp://ftp.iana.org/tz

use strict;
use warnings;
require 5.010000;

our (%Dates,%LastRule);
END {
   undef %Dates;
   undef %LastRule;
}

our ($VERSION);
$VERSION='6.96';
END { undef $VERSION; }

%Dates         = (
   1    =>
     [
        [ [1,1,2,0,0,0],[1,1,1,23,7,12],'-00:52:48',[0,-52,-48],
          'LMT',0,[1934,1,1,0,52,47],[1933,12,31,23,59,59],
          '0001010200:00:00','0001010123:07:12','1934010100:52:47','1933123123:59:59' ],
     ],
   1934 =>
     [
        [ [1934,1,1,0,52,48],[1933,12,31,23,52,48],'-01:00:00',[-1,0,0],
          '-01',0,[1976,4,14,0,59,59],[1976,4,13,23,59,59],
          '1934010100:52:48','1933123123:52:48','1976041400:59:59','1976041323:59:59' ],
     ],
   1976 =>
     [
        [ [1976,4,14,1,0,0],[1976,4,14,1,0,0],'+00:00:00',[0,0,0],
          '+00',0,[1976,4,30,23,59,59],[1976,4,30,23,59,59],
          '1976041401:00:00','1976041401:00:00','1976043023:59:59','1976043023:59:59' ],
        [ [1976,5,1,0,0,0],[1976,5,1,1,0,0],'+01:00:00',[1,0,0],
          '+01',1,[1976,7,31,22,59,59],[1976,7,31,23,59,59],
          '1976050100:00:00','1976050101:00:00','1976073122:59:59','1976073123:59:59' ],
        [ [1976,7,31,23,0,0],[1976,7,31,23,0,0],'+00:00:00',[0,0,0],
          '+00',0,[1977,4,30,23,59,59],[1977,4,30,23,59,59],
          '1976073123:00:00','1976073123:00:00','1977043023:59:59','1977043023:59:59' ],
     ],
   1977 =>
     [
        [ [1977,5,1,0,0,0],[1977,5,1,1,0,0],'+01:00:00',[1,0,0],
          '+01',1,[1977,9,27,22,59,59],[1977,9,27,23,59,59],
          '1977050100:00:00','1977050101:00:00','1977092722:59:59','1977092723:59:59' ],
        [ [1977,9,27,23,0,0],[1977,9,27,23,0,0],'+00:00:00',[0,0,0],
          '+00',0,[1978,5,31,23,59,59],[1978,5,31,23,59,59],
          '1977092723:00:00','1977092723:00:00','1978053123:59:59','1978053123:59:59' ],
     ],
   1978 =>
     [
        [ [1978,6,1,0,0,0],[1978,6,1,1,0,0],'+01:00:00',[1,0,0],
          '+01',1,[1978,8,3,22,59,59],[1978,8,3,23,59,59],
          '1978060100:00:00','1978060101:00:00','1978080322:59:59','1978080323:59:59' ],
        [ [1978,8,3,23,0,0],[1978,8,3,23,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2008,5,31,23,59,59],[2008,5,31,23,59,59],
          '1978080323:00:00','1978080323:00:00','2008053123:59:59','2008053123:59:59' ],
     ],
   2008 =>
     [
        [ [2008,6,1,0,0,0],[2008,6,1,1,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2008,8,31,22,59,59],[2008,8,31,23,59,59],
          '2008060100:00:00','2008060101:00:00','2008083122:59:59','2008083123:59:59' ],
        [ [2008,8,31,23,0,0],[2008,8,31,23,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2009,5,31,23,59,59],[2009,5,31,23,59,59],
          '2008083123:00:00','2008083123:00:00','2009053123:59:59','2009053123:59:59' ],
     ],
   2009 =>
     [
        [ [2009,6,1,0,0,0],[2009,6,1,1,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2009,8,20,22,59,59],[2009,8,20,23,59,59],
          '2009060100:00:00','2009060101:00:00','2009082022:59:59','2009082023:59:59' ],
        [ [2009,8,20,23,0,0],[2009,8,20,23,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2010,5,1,23,59,59],[2010,5,1,23,59,59],
          '2009082023:00:00','2009082023:00:00','2010050123:59:59','2010050123:59:59' ],
     ],
   2010 =>
     [
        [ [2010,5,2,0,0,0],[2010,5,2,1,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2010,8,7,22,59,59],[2010,8,7,23,59,59],
          '2010050200:00:00','2010050201:00:00','2010080722:59:59','2010080723:59:59' ],
        [ [2010,8,7,23,0,0],[2010,8,7,23,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2011,4,2,23,59,59],[2011,4,2,23,59,59],
          '2010080723:00:00','2010080723:00:00','2011040223:59:59','2011040223:59:59' ],
     ],
   2011 =>
     [
        [ [2011,4,3,0,0,0],[2011,4,3,1,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2011,7,30,22,59,59],[2011,7,30,23,59,59],
          '2011040300:00:00','2011040301:00:00','2011073022:59:59','2011073023:59:59' ],
        [ [2011,7,30,23,0,0],[2011,7,30,23,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2012,4,29,1,59,59],[2012,4,29,1,59,59],
          '2011073023:00:00','2011073023:00:00','2012042901:59:59','2012042901:59:59' ],
     ],
   2012 =>
     [
        [ [2012,4,29,2,0,0],[2012,4,29,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2012,7,20,1,59,59],[2012,7,20,2,59,59],
          '2012042902:00:00','2012042903:00:00','2012072001:59:59','2012072002:59:59' ],
        [ [2012,7,20,2,0,0],[2012,7,20,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2012,8,20,1,59,59],[2012,8,20,1,59,59],
          '2012072002:00:00','2012072002:00:00','2012082001:59:59','2012082001:59:59' ],
        [ [2012,8,20,2,0,0],[2012,8,20,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2012,9,30,1,59,59],[2012,9,30,2,59,59],
          '2012082002:00:00','2012082003:00:00','2012093001:59:59','2012093002:59:59' ],
        [ [2012,9,30,2,0,0],[2012,9,30,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2013,4,28,1,59,59],[2013,4,28,1,59,59],
          '2012093002:00:00','2012093002:00:00','2013042801:59:59','2013042801:59:59' ],
     ],
   2013 =>
     [
        [ [2013,4,28,2,0,0],[2013,4,28,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2013,7,7,1,59,59],[2013,7,7,2,59,59],
          '2013042802:00:00','2013042803:00:00','2013070701:59:59','2013070702:59:59' ],
        [ [2013,7,7,2,0,0],[2013,7,7,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2013,8,10,1,59,59],[2013,8,10,1,59,59],
          '2013070702:00:00','2013070702:00:00','2013081001:59:59','2013081001:59:59' ],
        [ [2013,8,10,2,0,0],[2013,8,10,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2013,10,27,1,59,59],[2013,10,27,2,59,59],
          '2013081002:00:00','2013081003:00:00','2013102701:59:59','2013102702:59:59' ],
        [ [2013,10,27,2,0,0],[2013,10,27,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2014,3,30,1,59,59],[2014,3,30,1,59,59],
          '2013102702:00:00','2013102702:00:00','2014033001:59:59','2014033001:59:59' ],
     ],
   2014 =>
     [
        [ [2014,3,30,2,0,0],[2014,3,30,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2014,6,28,1,59,59],[2014,6,28,2,59,59],
          '2014033002:00:00','2014033003:00:00','2014062801:59:59','2014062802:59:59' ],
        [ [2014,6,28,2,0,0],[2014,6,28,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2014,8,2,1,59,59],[2014,8,2,1,59,59],
          '2014062802:00:00','2014062802:00:00','2014080201:59:59','2014080201:59:59' ],
        [ [2014,8,2,2,0,0],[2014,8,2,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2014,10,26,1,59,59],[2014,10,26,2,59,59],
          '2014080202:00:00','2014080203:00:00','2014102601:59:59','2014102602:59:59' ],
        [ [2014,10,26,2,0,0],[2014,10,26,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2015,3,29,1,59,59],[2015,3,29,1,59,59],
          '2014102602:00:00','2014102602:00:00','2015032901:59:59','2015032901:59:59' ],
     ],
   2015 =>
     [
        [ [2015,3,29,2,0,0],[2015,3,29,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2015,6,14,1,59,59],[2015,6,14,2,59,59],
          '2015032902:00:00','2015032903:00:00','2015061401:59:59','2015061402:59:59' ],
        [ [2015,6,14,2,0,0],[2015,6,14,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2015,7,19,1,59,59],[2015,7,19,1,59,59],
          '2015061402:00:00','2015061402:00:00','2015071901:59:59','2015071901:59:59' ],
        [ [2015,7,19,2,0,0],[2015,7,19,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2015,10,25,1,59,59],[2015,10,25,2,59,59],
          '2015071902:00:00','2015071903:00:00','2015102501:59:59','2015102502:59:59' ],
        [ [2015,10,25,2,0,0],[2015,10,25,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2016,3,27,1,59,59],[2016,3,27,1,59,59],
          '2015102502:00:00','2015102502:00:00','2016032701:59:59','2016032701:59:59' ],
     ],
   2016 =>
     [
        [ [2016,3,27,2,0,0],[2016,3,27,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2016,6,5,1,59,59],[2016,6,5,2,59,59],
          '2016032702:00:00','2016032703:00:00','2016060501:59:59','2016060502:59:59' ],
        [ [2016,6,5,2,0,0],[2016,6,5,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2016,7,10,1,59,59],[2016,7,10,1,59,59],
          '2016060502:00:00','2016060502:00:00','2016071001:59:59','2016071001:59:59' ],
        [ [2016,7,10,2,0,0],[2016,7,10,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2016,10,30,1,59,59],[2016,10,30,2,59,59],
          '2016071002:00:00','2016071003:00:00','2016103001:59:59','2016103002:59:59' ],
        [ [2016,10,30,2,0,0],[2016,10,30,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2017,3,26,1,59,59],[2017,3,26,1,59,59],
          '2016103002:00:00','2016103002:00:00','2017032601:59:59','2017032601:59:59' ],
     ],
   2017 =>
     [
        [ [2017,3,26,2,0,0],[2017,3,26,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2017,5,21,1,59,59],[2017,5,21,2,59,59],
          '2017032602:00:00','2017032603:00:00','2017052101:59:59','2017052102:59:59' ],
        [ [2017,5,21,2,0,0],[2017,5,21,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2017,7,2,1,59,59],[2017,7,2,1,59,59],
          '2017052102:00:00','2017052102:00:00','2017070201:59:59','2017070201:59:59' ],
        [ [2017,7,2,2,0,0],[2017,7,2,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2017,10,29,1,59,59],[2017,10,29,2,59,59],
          '2017070202:00:00','2017070203:00:00','2017102901:59:59','2017102902:59:59' ],
        [ [2017,10,29,2,0,0],[2017,10,29,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2018,3,25,1,59,59],[2018,3,25,1,59,59],
          '2017102902:00:00','2017102902:00:00','2018032501:59:59','2018032501:59:59' ],
     ],
   2018 =>
     [
        [ [2018,3,25,2,0,0],[2018,3,25,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2018,5,13,1,59,59],[2018,5,13,2,59,59],
          '2018032502:00:00','2018032503:00:00','2018051301:59:59','2018051302:59:59' ],
        [ [2018,5,13,2,0,0],[2018,5,13,2,0,0],'+00:00:00',[0,0,0],
          '+00',0,[2018,6,17,1,59,59],[2018,6,17,1,59,59],
          '2018051302:00:00','2018051302:00:00','2018061701:59:59','2018061701:59:59' ],
        [ [2018,6,17,2,0,0],[2018,6,17,3,0,0],'+01:00:00',[1,0,0],
          '+01',1,[2018,10,28,1,59,59],[2018,10,28,2,59,59],
          '2018061702:00:00','2018061703:00:00','2018102801:59:59','2018102802:59:59' ],
        [ [2018,10,28,2,0,0],[2018,10,28,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2019,5,5,1,59,59],[2019,5,5,2,59,59],
          '2018102802:00:00','2018102803:00:00','2019050501:59:59','2019050502:59:59' ],
     ],
   2019 =>
     [
        [ [2019,5,5,2,0,0],[2019,5,5,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2019,6,9,1,59,59],[2019,6,9,1,59,59],
          '2019050502:00:00','2019050502:00:00','2019060901:59:59','2019060901:59:59' ],
        [ [2019,6,9,2,0,0],[2019,6,9,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2020,4,19,1,59,59],[2020,4,19,2,59,59],
          '2019060902:00:00','2019060903:00:00','2020041901:59:59','2020041902:59:59' ],
     ],
   2020 =>
     [
        [ [2020,4,19,2,0,0],[2020,4,19,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2020,5,31,1,59,59],[2020,5,31,1,59,59],
          '2020041902:00:00','2020041902:00:00','2020053101:59:59','2020053101:59:59' ],
        [ [2020,5,31,2,0,0],[2020,5,31,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2021,4,11,1,59,59],[2021,4,11,2,59,59],
          '2020053102:00:00','2020053103:00:00','2021041101:59:59','2021041102:59:59' ],
     ],
   2021 =>
     [
        [ [2021,4,11,2,0,0],[2021,4,11,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2021,5,16,1,59,59],[2021,5,16,1,59,59],
          '2021041102:00:00','2021041102:00:00','2021051601:59:59','2021051601:59:59' ],
        [ [2021,5,16,2,0,0],[2021,5,16,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2022,3,27,1,59,59],[2022,3,27,2,59,59],
          '2021051602:00:00','2021051603:00:00','2022032701:59:59','2022032702:59:59' ],
     ],
   2022 =>
     [
        [ [2022,3,27,2,0,0],[2022,3,27,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2022,5,8,1,59,59],[2022,5,8,1,59,59],
          '2022032702:00:00','2022032702:00:00','2022050801:59:59','2022050801:59:59' ],
        [ [2022,5,8,2,0,0],[2022,5,8,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2023,3,19,1,59,59],[2023,3,19,2,59,59],
          '2022050802:00:00','2022050803:00:00','2023031901:59:59','2023031902:59:59' ],
     ],
   2023 =>
     [
        [ [2023,3,19,2,0,0],[2023,3,19,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2023,4,23,1,59,59],[2023,4,23,1,59,59],
          '2023031902:00:00','2023031902:00:00','2023042301:59:59','2023042301:59:59' ],
        [ [2023,4,23,2,0,0],[2023,4,23,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2024,3,10,1,59,59],[2024,3,10,2,59,59],
          '2023042302:00:00','2023042303:00:00','2024031001:59:59','2024031002:59:59' ],
     ],
   2024 =>
     [
        [ [2024,3,10,2,0,0],[2024,3,10,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2024,4,14,1,59,59],[2024,4,14,1,59,59],
          '2024031002:00:00','2024031002:00:00','2024041401:59:59','2024041401:59:59' ],
        [ [2024,4,14,2,0,0],[2024,4,14,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2025,2,23,1,59,59],[2025,2,23,2,59,59],
          '2024041402:00:00','2024041403:00:00','2025022301:59:59','2025022302:59:59' ],
     ],
   2025 =>
     [
        [ [2025,2,23,2,0,0],[2025,2,23,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2025,4,6,1,59,59],[2025,4,6,1,59,59],
          '2025022302:00:00','2025022302:00:00','2025040601:59:59','2025040601:59:59' ],
        [ [2025,4,6,2,0,0],[2025,4,6,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2026,2,15,1,59,59],[2026,2,15,2,59,59],
          '2025040602:00:00','2025040603:00:00','2026021501:59:59','2026021502:59:59' ],
     ],
   2026 =>
     [
        [ [2026,2,15,2,0,0],[2026,2,15,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2026,3,22,1,59,59],[2026,3,22,1,59,59],
          '2026021502:00:00','2026021502:00:00','2026032201:59:59','2026032201:59:59' ],
        [ [2026,3,22,2,0,0],[2026,3,22,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2027,2,7,1,59,59],[2027,2,7,2,59,59],
          '2026032202:00:00','2026032203:00:00','2027020701:59:59','2027020702:59:59' ],
     ],
   2027 =>
     [
        [ [2027,2,7,2,0,0],[2027,2,7,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2027,3,14,1,59,59],[2027,3,14,1,59,59],
          '2027020702:00:00','2027020702:00:00','2027031401:59:59','2027031401:59:59' ],
        [ [2027,3,14,2,0,0],[2027,3,14,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2028,1,23,1,59,59],[2028,1,23,2,59,59],
          '2027031402:00:00','2027031403:00:00','2028012301:59:59','2028012302:59:59' ],
     ],
   2028 =>
     [
        [ [2028,1,23,2,0,0],[2028,1,23,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2028,3,5,1,59,59],[2028,3,5,1,59,59],
          '2028012302:00:00','2028012302:00:00','2028030501:59:59','2028030501:59:59' ],
        [ [2028,3,5,2,0,0],[2028,3,5,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2029,1,14,1,59,59],[2029,1,14,2,59,59],
          '2028030502:00:00','2028030503:00:00','2029011401:59:59','2029011402:59:59' ],
     ],
   2029 =>
     [
        [ [2029,1,14,2,0,0],[2029,1,14,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2029,2,18,1,59,59],[2029,2,18,1,59,59],
          '2029011402:00:00','2029011402:00:00','2029021801:59:59','2029021801:59:59' ],
        [ [2029,2,18,2,0,0],[2029,2,18,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2029,12,30,1,59,59],[2029,12,30,2,59,59],
          '2029021802:00:00','2029021803:00:00','2029123001:59:59','2029123002:59:59' ],
        [ [2029,12,30,2,0,0],[2029,12,30,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2030,2,10,1,59,59],[2030,2,10,1,59,59],
          '2029123002:00:00','2029123002:00:00','2030021001:59:59','2030021001:59:59' ],
     ],
   2030 =>
     [
        [ [2030,2,10,2,0,0],[2030,2,10,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2030,12,22,1,59,59],[2030,12,22,2,59,59],
          '2030021002:00:00','2030021003:00:00','2030122201:59:59','2030122202:59:59' ],
        [ [2030,12,22,2,0,0],[2030,12,22,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2031,1,26,1,59,59],[2031,1,26,1,59,59],
          '2030122202:00:00','2030122202:00:00','2031012601:59:59','2031012601:59:59' ],
     ],
   2031 =>
     [
        [ [2031,1,26,2,0,0],[2031,1,26,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2031,12,14,1,59,59],[2031,12,14,2,59,59],
          '2031012602:00:00','2031012603:00:00','2031121401:59:59','2031121402:59:59' ],
        [ [2031,12,14,2,0,0],[2031,12,14,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2032,1,18,1,59,59],[2032,1,18,1,59,59],
          '2031121402:00:00','2031121402:00:00','2032011801:59:59','2032011801:59:59' ],
     ],
   2032 =>
     [
        [ [2032,1,18,2,0,0],[2032,1,18,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2032,11,28,1,59,59],[2032,11,28,2,59,59],
          '2032011802:00:00','2032011803:00:00','2032112801:59:59','2032112802:59:59' ],
        [ [2032,11,28,2,0,0],[2032,11,28,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2033,1,9,1,59,59],[2033,1,9,1,59,59],
          '2032112802:00:00','2032112802:00:00','2033010901:59:59','2033010901:59:59' ],
     ],
   2033 =>
     [
        [ [2033,1,9,2,0,0],[2033,1,9,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2033,11,20,1,59,59],[2033,11,20,2,59,59],
          '2033010902:00:00','2033010903:00:00','2033112001:59:59','2033112002:59:59' ],
        [ [2033,11,20,2,0,0],[2033,11,20,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2033,12,25,1,59,59],[2033,12,25,1,59,59],
          '2033112002:00:00','2033112002:00:00','2033122501:59:59','2033122501:59:59' ],
        [ [2033,12,25,2,0,0],[2033,12,25,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2034,11,5,1,59,59],[2034,11,5,2,59,59],
          '2033122502:00:00','2033122503:00:00','2034110501:59:59','2034110502:59:59' ],
     ],
   2034 =>
     [
        [ [2034,11,5,2,0,0],[2034,11,5,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2034,12,17,1,59,59],[2034,12,17,1,59,59],
          '2034110502:00:00','2034110502:00:00','2034121701:59:59','2034121701:59:59' ],
        [ [2034,12,17,2,0,0],[2034,12,17,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2035,10,28,1,59,59],[2035,10,28,2,59,59],
          '2034121702:00:00','2034121703:00:00','2035102801:59:59','2035102802:59:59' ],
     ],
   2035 =>
     [
        [ [2035,10,28,2,0,0],[2035,10,28,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2035,12,9,1,59,59],[2035,12,9,1,59,59],
          '2035102802:00:00','2035102802:00:00','2035120901:59:59','2035120901:59:59' ],
        [ [2035,12,9,2,0,0],[2035,12,9,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2036,10,19,1,59,59],[2036,10,19,2,59,59],
          '2035120902:00:00','2035120903:00:00','2036101901:59:59','2036101902:59:59' ],
     ],
   2036 =>
     [
        [ [2036,10,19,2,0,0],[2036,10,19,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2036,11,23,1,59,59],[2036,11,23,1,59,59],
          '2036101902:00:00','2036101902:00:00','2036112301:59:59','2036112301:59:59' ],
        [ [2036,11,23,2,0,0],[2036,11,23,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2037,10,4,1,59,59],[2037,10,4,2,59,59],
          '2036112302:00:00','2036112303:00:00','2037100401:59:59','2037100402:59:59' ],
     ],
   2037 =>
     [
        [ [2037,10,4,2,0,0],[2037,10,4,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2037,11,15,1,59,59],[2037,11,15,1,59,59],
          '2037100402:00:00','2037100402:00:00','2037111501:59:59','2037111501:59:59' ],
        [ [2037,11,15,2,0,0],[2037,11,15,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2038,9,26,1,59,59],[2038,9,26,2,59,59],
          '2037111502:00:00','2037111503:00:00','2038092601:59:59','2038092602:59:59' ],
     ],
   2038 =>
     [
        [ [2038,9,26,2,0,0],[2038,9,26,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2038,10,31,1,59,59],[2038,10,31,1,59,59],
          '2038092602:00:00','2038092602:00:00','2038103101:59:59','2038103101:59:59' ],
        [ [2038,10,31,2,0,0],[2038,10,31,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2039,9,18,1,59,59],[2039,9,18,2,59,59],
          '2038103102:00:00','2038103103:00:00','2039091801:59:59','2039091802:59:59' ],
     ],
   2039 =>
     [
        [ [2039,9,18,2,0,0],[2039,9,18,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2039,10,23,1,59,59],[2039,10,23,1,59,59],
          '2039091802:00:00','2039091802:00:00','2039102301:59:59','2039102301:59:59' ],
        [ [2039,10,23,2,0,0],[2039,10,23,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2040,9,2,1,59,59],[2040,9,2,2,59,59],
          '2039102302:00:00','2039102303:00:00','2040090201:59:59','2040090202:59:59' ],
     ],
   2040 =>
     [
        [ [2040,9,2,2,0,0],[2040,9,2,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2040,10,14,1,59,59],[2040,10,14,1,59,59],
          '2040090202:00:00','2040090202:00:00','2040101401:59:59','2040101401:59:59' ],
        [ [2040,10,14,2,0,0],[2040,10,14,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2041,8,25,1,59,59],[2041,8,25,2,59,59],
          '2040101402:00:00','2040101403:00:00','2041082501:59:59','2041082502:59:59' ],
     ],
   2041 =>
     [
        [ [2041,8,25,2,0,0],[2041,8,25,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2041,9,29,1,59,59],[2041,9,29,1,59,59],
          '2041082502:00:00','2041082502:00:00','2041092901:59:59','2041092901:59:59' ],
        [ [2041,9,29,2,0,0],[2041,9,29,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2042,8,10,1,59,59],[2042,8,10,2,59,59],
          '2041092902:00:00','2041092903:00:00','2042081001:59:59','2042081002:59:59' ],
     ],
   2042 =>
     [
        [ [2042,8,10,2,0,0],[2042,8,10,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2042,9,21,1,59,59],[2042,9,21,1,59,59],
          '2042081002:00:00','2042081002:00:00','2042092101:59:59','2042092101:59:59' ],
        [ [2042,9,21,2,0,0],[2042,9,21,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2043,8,2,1,59,59],[2043,8,2,2,59,59],
          '2042092102:00:00','2042092103:00:00','2043080201:59:59','2043080202:59:59' ],
     ],
   2043 =>
     [
        [ [2043,8,2,2,0,0],[2043,8,2,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2043,9,13,1,59,59],[2043,9,13,1,59,59],
          '2043080202:00:00','2043080202:00:00','2043091301:59:59','2043091301:59:59' ],
        [ [2043,9,13,2,0,0],[2043,9,13,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2044,7,24,1,59,59],[2044,7,24,2,59,59],
          '2043091302:00:00','2043091303:00:00','2044072401:59:59','2044072402:59:59' ],
     ],
   2044 =>
     [
        [ [2044,7,24,2,0,0],[2044,7,24,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2044,8,28,1,59,59],[2044,8,28,1,59,59],
          '2044072402:00:00','2044072402:00:00','2044082801:59:59','2044082801:59:59' ],
        [ [2044,8,28,2,0,0],[2044,8,28,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2045,7,9,1,59,59],[2045,7,9,2,59,59],
          '2044082802:00:00','2044082803:00:00','2045070901:59:59','2045070902:59:59' ],
     ],
   2045 =>
     [
        [ [2045,7,9,2,0,0],[2045,7,9,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2045,8,20,1,59,59],[2045,8,20,1,59,59],
          '2045070902:00:00','2045070902:00:00','2045082001:59:59','2045082001:59:59' ],
        [ [2045,8,20,2,0,0],[2045,8,20,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2046,7,1,1,59,59],[2046,7,1,2,59,59],
          '2045082002:00:00','2045082003:00:00','2046070101:59:59','2046070102:59:59' ],
     ],
   2046 =>
     [
        [ [2046,7,1,2,0,0],[2046,7,1,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2046,8,5,1,59,59],[2046,8,5,1,59,59],
          '2046070102:00:00','2046070102:00:00','2046080501:59:59','2046080501:59:59' ],
        [ [2046,8,5,2,0,0],[2046,8,5,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2047,6,23,1,59,59],[2047,6,23,2,59,59],
          '2046080502:00:00','2046080503:00:00','2047062301:59:59','2047062302:59:59' ],
     ],
   2047 =>
     [
        [ [2047,6,23,2,0,0],[2047,6,23,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2047,7,28,1,59,59],[2047,7,28,1,59,59],
          '2047062302:00:00','2047062302:00:00','2047072801:59:59','2047072801:59:59' ],
        [ [2047,7,28,2,0,0],[2047,7,28,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2048,6,7,1,59,59],[2048,6,7,2,59,59],
          '2047072802:00:00','2047072803:00:00','2048060701:59:59','2048060702:59:59' ],
     ],
   2048 =>
     [
        [ [2048,6,7,2,0,0],[2048,6,7,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2048,7,19,1,59,59],[2048,7,19,1,59,59],
          '2048060702:00:00','2048060702:00:00','2048071901:59:59','2048071901:59:59' ],
        [ [2048,7,19,2,0,0],[2048,7,19,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2049,5,30,1,59,59],[2049,5,30,2,59,59],
          '2048071902:00:00','2048071903:00:00','2049053001:59:59','2049053002:59:59' ],
     ],
   2049 =>
     [
        [ [2049,5,30,2,0,0],[2049,5,30,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2049,7,4,1,59,59],[2049,7,4,1,59,59],
          '2049053002:00:00','2049053002:00:00','2049070401:59:59','2049070401:59:59' ],
        [ [2049,7,4,2,0,0],[2049,7,4,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2050,5,15,1,59,59],[2050,5,15,2,59,59],
          '2049070402:00:00','2049070403:00:00','2050051501:59:59','2050051502:59:59' ],
     ],
   2050 =>
     [
        [ [2050,5,15,2,0,0],[2050,5,15,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2050,6,26,1,59,59],[2050,6,26,1,59,59],
          '2050051502:00:00','2050051502:00:00','2050062601:59:59','2050062601:59:59' ],
        [ [2050,6,26,2,0,0],[2050,6,26,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2051,5,7,1,59,59],[2051,5,7,2,59,59],
          '2050062602:00:00','2050062603:00:00','2051050701:59:59','2051050702:59:59' ],
     ],
   2051 =>
     [
        [ [2051,5,7,2,0,0],[2051,5,7,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2051,6,18,1,59,59],[2051,6,18,1,59,59],
          '2051050702:00:00','2051050702:00:00','2051061801:59:59','2051061801:59:59' ],
        [ [2051,6,18,2,0,0],[2051,6,18,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2052,4,28,1,59,59],[2052,4,28,2,59,59],
          '2051061802:00:00','2051061803:00:00','2052042801:59:59','2052042802:59:59' ],
     ],
   2052 =>
     [
        [ [2052,4,28,2,0,0],[2052,4,28,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2052,6,2,1,59,59],[2052,6,2,1,59,59],
          '2052042802:00:00','2052042802:00:00','2052060201:59:59','2052060201:59:59' ],
        [ [2052,6,2,2,0,0],[2052,6,2,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2053,4,13,1,59,59],[2053,4,13,2,59,59],
          '2052060202:00:00','2052060203:00:00','2053041301:59:59','2053041302:59:59' ],
     ],
   2053 =>
     [
        [ [2053,4,13,2,0,0],[2053,4,13,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2053,5,25,1,59,59],[2053,5,25,1,59,59],
          '2053041302:00:00','2053041302:00:00','2053052501:59:59','2053052501:59:59' ],
        [ [2053,5,25,2,0,0],[2053,5,25,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2054,4,5,1,59,59],[2054,4,5,2,59,59],
          '2053052502:00:00','2053052503:00:00','2054040501:59:59','2054040502:59:59' ],
     ],
   2054 =>
     [
        [ [2054,4,5,2,0,0],[2054,4,5,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2054,5,10,1,59,59],[2054,5,10,1,59,59],
          '2054040502:00:00','2054040502:00:00','2054051001:59:59','2054051001:59:59' ],
        [ [2054,5,10,2,0,0],[2054,5,10,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2055,3,28,1,59,59],[2055,3,28,2,59,59],
          '2054051002:00:00','2054051003:00:00','2055032801:59:59','2055032802:59:59' ],
     ],
   2055 =>
     [
        [ [2055,3,28,2,0,0],[2055,3,28,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2055,5,2,1,59,59],[2055,5,2,1,59,59],
          '2055032802:00:00','2055032802:00:00','2055050201:59:59','2055050201:59:59' ],
        [ [2055,5,2,2,0,0],[2055,5,2,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2056,3,12,1,59,59],[2056,3,12,2,59,59],
          '2055050202:00:00','2055050203:00:00','2056031201:59:59','2056031202:59:59' ],
     ],
   2056 =>
     [
        [ [2056,3,12,2,0,0],[2056,3,12,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2056,4,23,1,59,59],[2056,4,23,1,59,59],
          '2056031202:00:00','2056031202:00:00','2056042301:59:59','2056042301:59:59' ],
        [ [2056,4,23,2,0,0],[2056,4,23,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2057,3,4,1,59,59],[2057,3,4,2,59,59],
          '2056042302:00:00','2056042303:00:00','2057030401:59:59','2057030402:59:59' ],
     ],
   2057 =>
     [
        [ [2057,3,4,2,0,0],[2057,3,4,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2057,4,8,1,59,59],[2057,4,8,1,59,59],
          '2057030402:00:00','2057030402:00:00','2057040801:59:59','2057040801:59:59' ],
        [ [2057,4,8,2,0,0],[2057,4,8,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2058,2,17,1,59,59],[2058,2,17,2,59,59],
          '2057040802:00:00','2057040803:00:00','2058021701:59:59','2058021702:59:59' ],
     ],
   2058 =>
     [
        [ [2058,2,17,2,0,0],[2058,2,17,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2058,3,31,1,59,59],[2058,3,31,1,59,59],
          '2058021702:00:00','2058021702:00:00','2058033101:59:59','2058033101:59:59' ],
        [ [2058,3,31,2,0,0],[2058,3,31,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2059,2,9,1,59,59],[2059,2,9,2,59,59],
          '2058033102:00:00','2058033103:00:00','2059020901:59:59','2059020902:59:59' ],
     ],
   2059 =>
     [
        [ [2059,2,9,2,0,0],[2059,2,9,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2059,3,23,1,59,59],[2059,3,23,1,59,59],
          '2059020902:00:00','2059020902:00:00','2059032301:59:59','2059032301:59:59' ],
        [ [2059,3,23,2,0,0],[2059,3,23,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2060,2,1,1,59,59],[2060,2,1,2,59,59],
          '2059032302:00:00','2059032303:00:00','2060020101:59:59','2060020102:59:59' ],
     ],
   2060 =>
     [
        [ [2060,2,1,2,0,0],[2060,2,1,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2060,3,7,1,59,59],[2060,3,7,1,59,59],
          '2060020102:00:00','2060020102:00:00','2060030701:59:59','2060030701:59:59' ],
        [ [2060,3,7,2,0,0],[2060,3,7,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2061,1,16,1,59,59],[2061,1,16,2,59,59],
          '2060030702:00:00','2060030703:00:00','2061011601:59:59','2061011602:59:59' ],
     ],
   2061 =>
     [
        [ [2061,1,16,2,0,0],[2061,1,16,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2061,2,27,1,59,59],[2061,2,27,1,59,59],
          '2061011602:00:00','2061011602:00:00','2061022701:59:59','2061022701:59:59' ],
        [ [2061,2,27,2,0,0],[2061,2,27,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2062,1,8,1,59,59],[2062,1,8,2,59,59],
          '2061022702:00:00','2061022703:00:00','2062010801:59:59','2062010802:59:59' ],
     ],
   2062 =>
     [
        [ [2062,1,8,2,0,0],[2062,1,8,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2062,2,12,1,59,59],[2062,2,12,1,59,59],
          '2062010802:00:00','2062010802:00:00','2062021201:59:59','2062021201:59:59' ],
        [ [2062,2,12,2,0,0],[2062,2,12,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2062,12,31,1,59,59],[2062,12,31,2,59,59],
          '2062021202:00:00','2062021203:00:00','2062123101:59:59','2062123102:59:59' ],
        [ [2062,12,31,2,0,0],[2062,12,31,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2063,2,4,1,59,59],[2063,2,4,1,59,59],
          '2062123102:00:00','2062123102:00:00','2063020401:59:59','2063020401:59:59' ],
     ],
   2063 =>
     [
        [ [2063,2,4,2,0,0],[2063,2,4,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2063,12,16,1,59,59],[2063,12,16,2,59,59],
          '2063020402:00:00','2063020403:00:00','2063121601:59:59','2063121602:59:59' ],
        [ [2063,12,16,2,0,0],[2063,12,16,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2064,1,27,1,59,59],[2064,1,27,1,59,59],
          '2063121602:00:00','2063121602:00:00','2064012701:59:59','2064012701:59:59' ],
     ],
   2064 =>
     [
        [ [2064,1,27,2,0,0],[2064,1,27,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2064,12,7,1,59,59],[2064,12,7,2,59,59],
          '2064012702:00:00','2064012703:00:00','2064120701:59:59','2064120702:59:59' ],
        [ [2064,12,7,2,0,0],[2064,12,7,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2065,1,11,1,59,59],[2065,1,11,1,59,59],
          '2064120702:00:00','2064120702:00:00','2065011101:59:59','2065011101:59:59' ],
     ],
   2065 =>
     [
        [ [2065,1,11,2,0,0],[2065,1,11,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2065,11,22,1,59,59],[2065,11,22,2,59,59],
          '2065011102:00:00','2065011103:00:00','2065112201:59:59','2065112202:59:59' ],
        [ [2065,11,22,2,0,0],[2065,11,22,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2066,1,3,1,59,59],[2066,1,3,1,59,59],
          '2065112202:00:00','2065112202:00:00','2066010301:59:59','2066010301:59:59' ],
     ],
   2066 =>
     [
        [ [2066,1,3,2,0,0],[2066,1,3,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2066,11,14,1,59,59],[2066,11,14,2,59,59],
          '2066010302:00:00','2066010303:00:00','2066111401:59:59','2066111402:59:59' ],
        [ [2066,11,14,2,0,0],[2066,11,14,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2066,12,26,1,59,59],[2066,12,26,1,59,59],
          '2066111402:00:00','2066111402:00:00','2066122601:59:59','2066122601:59:59' ],
        [ [2066,12,26,2,0,0],[2066,12,26,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2067,11,6,1,59,59],[2067,11,6,2,59,59],
          '2066122602:00:00','2066122603:00:00','2067110601:59:59','2067110602:59:59' ],
     ],
   2067 =>
     [
        [ [2067,11,6,2,0,0],[2067,11,6,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2067,12,11,1,59,59],[2067,12,11,1,59,59],
          '2067110602:00:00','2067110602:00:00','2067121101:59:59','2067121101:59:59' ],
        [ [2067,12,11,2,0,0],[2067,12,11,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2068,10,21,1,59,59],[2068,10,21,2,59,59],
          '2067121102:00:00','2067121103:00:00','2068102101:59:59','2068102102:59:59' ],
     ],
   2068 =>
     [
        [ [2068,10,21,2,0,0],[2068,10,21,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2068,12,2,1,59,59],[2068,12,2,1,59,59],
          '2068102102:00:00','2068102102:00:00','2068120201:59:59','2068120201:59:59' ],
        [ [2068,12,2,2,0,0],[2068,12,2,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2069,10,13,1,59,59],[2069,10,13,2,59,59],
          '2068120202:00:00','2068120203:00:00','2069101301:59:59','2069101302:59:59' ],
     ],
   2069 =>
     [
        [ [2069,10,13,2,0,0],[2069,10,13,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2069,11,17,1,59,59],[2069,11,17,1,59,59],
          '2069101302:00:00','2069101302:00:00','2069111701:59:59','2069111701:59:59' ],
        [ [2069,11,17,2,0,0],[2069,11,17,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2070,10,5,1,59,59],[2070,10,5,2,59,59],
          '2069111702:00:00','2069111703:00:00','2070100501:59:59','2070100502:59:59' ],
     ],
   2070 =>
     [
        [ [2070,10,5,2,0,0],[2070,10,5,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2070,11,9,1,59,59],[2070,11,9,1,59,59],
          '2070100502:00:00','2070100502:00:00','2070110901:59:59','2070110901:59:59' ],
        [ [2070,11,9,2,0,0],[2070,11,9,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2071,9,20,1,59,59],[2071,9,20,2,59,59],
          '2070110902:00:00','2070110903:00:00','2071092001:59:59','2071092002:59:59' ],
     ],
   2071 =>
     [
        [ [2071,9,20,2,0,0],[2071,9,20,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2071,11,1,1,59,59],[2071,11,1,1,59,59],
          '2071092002:00:00','2071092002:00:00','2071110101:59:59','2071110101:59:59' ],
        [ [2071,11,1,2,0,0],[2071,11,1,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2072,9,11,1,59,59],[2072,9,11,2,59,59],
          '2071110102:00:00','2071110103:00:00','2072091101:59:59','2072091102:59:59' ],
     ],
   2072 =>
     [
        [ [2072,9,11,2,0,0],[2072,9,11,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2072,10,16,1,59,59],[2072,10,16,1,59,59],
          '2072091102:00:00','2072091102:00:00','2072101601:59:59','2072101601:59:59' ],
        [ [2072,10,16,2,0,0],[2072,10,16,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2073,8,27,1,59,59],[2073,8,27,2,59,59],
          '2072101602:00:00','2072101603:00:00','2073082701:59:59','2073082702:59:59' ],
     ],
   2073 =>
     [
        [ [2073,8,27,2,0,0],[2073,8,27,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2073,10,8,1,59,59],[2073,10,8,1,59,59],
          '2073082702:00:00','2073082702:00:00','2073100801:59:59','2073100801:59:59' ],
        [ [2073,10,8,2,0,0],[2073,10,8,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2074,8,19,1,59,59],[2074,8,19,2,59,59],
          '2073100802:00:00','2073100803:00:00','2074081901:59:59','2074081902:59:59' ],
     ],
   2074 =>
     [
        [ [2074,8,19,2,0,0],[2074,8,19,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2074,9,30,1,59,59],[2074,9,30,1,59,59],
          '2074081902:00:00','2074081902:00:00','2074093001:59:59','2074093001:59:59' ],
        [ [2074,9,30,2,0,0],[2074,9,30,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2075,8,11,1,59,59],[2075,8,11,2,59,59],
          '2074093002:00:00','2074093003:00:00','2075081101:59:59','2075081102:59:59' ],
     ],
   2075 =>
     [
        [ [2075,8,11,2,0,0],[2075,8,11,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2075,9,15,1,59,59],[2075,9,15,1,59,59],
          '2075081102:00:00','2075081102:00:00','2075091501:59:59','2075091501:59:59' ],
        [ [2075,9,15,2,0,0],[2075,9,15,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2076,7,26,1,59,59],[2076,7,26,2,59,59],
          '2075091502:00:00','2075091503:00:00','2076072601:59:59','2076072602:59:59' ],
     ],
   2076 =>
     [
        [ [2076,7,26,2,0,0],[2076,7,26,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2076,9,6,1,59,59],[2076,9,6,1,59,59],
          '2076072602:00:00','2076072602:00:00','2076090601:59:59','2076090601:59:59' ],
        [ [2076,9,6,2,0,0],[2076,9,6,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2077,7,18,1,59,59],[2077,7,18,2,59,59],
          '2076090602:00:00','2076090603:00:00','2077071801:59:59','2077071802:59:59' ],
     ],
   2077 =>
     [
        [ [2077,7,18,2,0,0],[2077,7,18,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2077,8,22,1,59,59],[2077,8,22,1,59,59],
          '2077071802:00:00','2077071802:00:00','2077082201:59:59','2077082201:59:59' ],
        [ [2077,8,22,2,0,0],[2077,8,22,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2078,7,10,1,59,59],[2078,7,10,2,59,59],
          '2077082202:00:00','2077082203:00:00','2078071001:59:59','2078071002:59:59' ],
     ],
   2078 =>
     [
        [ [2078,7,10,2,0,0],[2078,7,10,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2078,8,14,1,59,59],[2078,8,14,1,59,59],
          '2078071002:00:00','2078071002:00:00','2078081401:59:59','2078081401:59:59' ],
        [ [2078,8,14,2,0,0],[2078,8,14,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2079,6,25,1,59,59],[2079,6,25,2,59,59],
          '2078081402:00:00','2078081403:00:00','2079062501:59:59','2079062502:59:59' ],
     ],
   2079 =>
     [
        [ [2079,6,25,2,0,0],[2079,6,25,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2079,8,6,1,59,59],[2079,8,6,1,59,59],
          '2079062502:00:00','2079062502:00:00','2079080601:59:59','2079080601:59:59' ],
        [ [2079,8,6,2,0,0],[2079,8,6,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2080,6,16,1,59,59],[2080,6,16,2,59,59],
          '2079080602:00:00','2079080603:00:00','2080061601:59:59','2080061602:59:59' ],
     ],
   2080 =>
     [
        [ [2080,6,16,2,0,0],[2080,6,16,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2080,7,21,1,59,59],[2080,7,21,1,59,59],
          '2080061602:00:00','2080061602:00:00','2080072101:59:59','2080072101:59:59' ],
        [ [2080,7,21,2,0,0],[2080,7,21,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2081,6,1,1,59,59],[2081,6,1,2,59,59],
          '2080072102:00:00','2080072103:00:00','2081060101:59:59','2081060102:59:59' ],
     ],
   2081 =>
     [
        [ [2081,6,1,2,0,0],[2081,6,1,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2081,7,13,1,59,59],[2081,7,13,1,59,59],
          '2081060102:00:00','2081060102:00:00','2081071301:59:59','2081071301:59:59' ],
        [ [2081,7,13,2,0,0],[2081,7,13,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2082,5,24,1,59,59],[2082,5,24,2,59,59],
          '2081071302:00:00','2081071303:00:00','2082052401:59:59','2082052402:59:59' ],
     ],
   2082 =>
     [
        [ [2082,5,24,2,0,0],[2082,5,24,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2082,6,28,1,59,59],[2082,6,28,1,59,59],
          '2082052402:00:00','2082052402:00:00','2082062801:59:59','2082062801:59:59' ],
        [ [2082,6,28,2,0,0],[2082,6,28,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2083,5,16,1,59,59],[2083,5,16,2,59,59],
          '2082062802:00:00','2082062803:00:00','2083051601:59:59','2083051602:59:59' ],
     ],
   2083 =>
     [
        [ [2083,5,16,2,0,0],[2083,5,16,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2083,6,20,1,59,59],[2083,6,20,1,59,59],
          '2083051602:00:00','2083051602:00:00','2083062001:59:59','2083062001:59:59' ],
        [ [2083,6,20,2,0,0],[2083,6,20,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2084,4,30,1,59,59],[2084,4,30,2,59,59],
          '2083062002:00:00','2083062003:00:00','2084043001:59:59','2084043002:59:59' ],
     ],
   2084 =>
     [
        [ [2084,4,30,2,0,0],[2084,4,30,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2084,6,11,1,59,59],[2084,6,11,1,59,59],
          '2084043002:00:00','2084043002:00:00','2084061101:59:59','2084061101:59:59' ],
        [ [2084,6,11,2,0,0],[2084,6,11,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2085,4,22,1,59,59],[2085,4,22,2,59,59],
          '2084061102:00:00','2084061103:00:00','2085042201:59:59','2085042202:59:59' ],
     ],
   2085 =>
     [
        [ [2085,4,22,2,0,0],[2085,4,22,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2085,5,27,1,59,59],[2085,5,27,1,59,59],
          '2085042202:00:00','2085042202:00:00','2085052701:59:59','2085052701:59:59' ],
        [ [2085,5,27,2,0,0],[2085,5,27,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2086,4,14,1,59,59],[2086,4,14,2,59,59],
          '2085052702:00:00','2085052703:00:00','2086041401:59:59','2086041402:59:59' ],
     ],
   2086 =>
     [
        [ [2086,4,14,2,0,0],[2086,4,14,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2086,5,19,1,59,59],[2086,5,19,1,59,59],
          '2086041402:00:00','2086041402:00:00','2086051901:59:59','2086051901:59:59' ],
        [ [2086,5,19,2,0,0],[2086,5,19,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[2087,3,30,1,59,59],[2087,3,30,2,59,59],
          '2086051902:00:00','2086051903:00:00','2087033001:59:59','2087033002:59:59' ],
     ],
   2087 =>
     [
        [ [2087,3,30,2,0,0],[2087,3,30,2,0,0],'+00:00:00',[0,0,0],
          '+00',1,[2087,5,11,1,59,59],[2087,5,11,1,59,59],
          '2087033002:00:00','2087033002:00:00','2087051101:59:59','2087051101:59:59' ],
        [ [2087,5,11,2,0,0],[2087,5,11,3,0,0],'+01:00:00',[1,0,0],
          '+01',0,[9999,12,31,0,0,0],[9999,12,31,1,0,0],
          '2087051102:00:00','2087051103:00:00','9999123100:00:00','9999123101:00:00' ],
     ],
);

%LastRule      = (
);

1;
